Get yield balances
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/yields/balances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queries": [
{
"address": "<string>",
"network": "<string>",
"yieldId": "<string>"
}
]
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/yields/balances"
payload = { "queries": [
{
"address": "<string>",
"network": "<string>",
"yieldId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queries: [{address: '<string>', network: '<string>', yieldId: '<string>'}]})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/yields/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"items": [
{
"yieldId": "<string>",
"balances": [
{}
]
}
],
"errors": [
{
"yieldId": "<string>",
"error": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Yield
Get yield balances
Retrieves yield balances for the client’s positions across staking, lending, and vault opportunities.
This is a proxy to the Yield.xyz POST /yields/balances endpoint.
The response is wrapped under data.rawResponse and network fields
are converted to CAIP-2 format. For the full upstream response schema
see docs.yield.xyz.
POST
/
clients
/
me
/
integrations
/
yield-xyz
/
yields
/
balances
Get yield balances
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Array of balance queries, one per address/network combination.
Show child attributes
Show child attributes
Response
Yield balances retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I